For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
      • GETGet all surveys
      • POSTCreate survey
      • GETGet survey
      • DELDelete survey
      • GETGet all responses
      • POSTCreate response
      • DELDelete all responses
      • GETGet summary of responses
      • GETGet response
      • DELDelete a response
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceSurveys

Create response

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/surveys/:survey_id/responses/
POST
/api/v1/surveys/:survey_id/responses/
$curl -X POST https://api.prolific.com/api/v1/surveys/survey_id/responses/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "participant_id": "62908f0b98a55b36ac68b992",
> "submission_id": "62908f0b98a55b36ac68b992",
> "sections": [
> {
> "questions": [
> {
> "answers": [
> {
> "answer_id": "8bde0c5f-235e-41e6-bf82-b73e92852ac8",
> "value": "Potato"
> }
> ],
> "question_id": "827e810a-4b1a-40f6-8bc2-c3dd6fcedc25",
> "question_title": "What is your favourite root vegetable?"
> }
> ],
> "section_id": "f5e5c4dc-7d2e-40f1-a895-9bb2f8703fd8"
> }
> ]
>}'
1{
2 "participant_id": "62908f0b98a55b36ac68b992",
3 "submission_id": "62908f0b98a55b36ac68b992",
4 "_id": "62fccc6ea792097ae2145ca4",
5 "sections": [
6 {
7 "questions": [
8 {
9 "answers": [
10 {
11 "answer_id": "8bde0c5f-235e-41e6-bf82-b73e92852ac8",
12 "value": "Potato"
13 }
14 ],
15 "question_id": "827e810a-4b1a-40f6-8bc2-c3dd6fcedc25",
16 "question_title": "What is your favourite root vegetable?"
17 }
18 ],
19 "section_id": "f5e5c4dc-7d2e-40f1-a895-9bb2f8703fd8"
20 }
21 ]
22}
Create a Response for a survey.
Was this page helpful?
Previous

Get all responses

Next

Delete all responses

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Path parameters

survey_idstringRequired

Request

This endpoint expects an object.
participant_idstringRequired
The Prolific participant ID.
submission_idstringRequired
The Prolific submission ID.
sectionslist of objectsOptional

An array of sections from the survey, otherwise use questions.

questionslist of objectsOptional

An array of questions from the survey, otherwise use sections.

Response

Successful Response
participant_idstring
The Prolific participant ID.
submission_idstring
The Prolific submission ID.
_idstring
date_createddatetime

The date/time the response was created (UTC).

date_modifieddatetime

The date/time the response was modified (UTC).

sectionslist of objects

An array of sections from the survey, otherwise questions.

questionslist of objects

An array of questions from the survey, otherwise sections.

Errors

4XX
Client Request Error

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.